using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Diagnostics;
using System.Windows.Forms;

namespace Callista.BuildLab.AdminClient
{
    public partial class AboutBox : Form
    {
        public AboutBox()
        {
            InitializeComponent();
        }

        private void AboutBox_Load(object sender, EventArgs e)
        {
            VersionInfo.Text += System.Reflection.Assembly.GetExecutingAssembly().GetName().Version.ToString();
        }

        private void AboutBox_SizeChanged(object sender, EventArgs e)
        {
            if (this.WindowState == FormWindowState.Minimized)
            {
                this.Close();
            }
        }

        private void PeterBlomqvistBlog_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                Process.Start("http://peterblomqvist.blogspot.com");
            }
            catch (Exception)
            {
                MessageBox.Show("Unable to open link that was clicked.");
            }
            finally
            {
                PeterBlomqvistBlog.LinkVisited = true;
            }
        }

        private void MathiasOlaussonBlog_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                Process.Start("http://olausson.net/blog");
            }
            catch (Exception)
            {
                MessageBox.Show("Unable to open link that was clicked.");
            }
            finally
            {
                PeterBlomqvistBlog.LinkVisited = true;
            }
        }

        private void CodeplexHomepage_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                Process.Start("http://www.codeplex.com/tfsbuildlab");
            }
            catch (Exception)
            {
                MessageBox.Show("Unable to open link that was clicked.");
            }
            finally
            {
                CodeplexHomepage.LinkVisited = true;
            }
        }
    }
}