using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace Callista.BuildLab.Core.Model
{
    [DataContract]
    public class TeamProject
    {
        private string _name;
        private Dictionary<string, BuildType> _buildTypes = new Dictionary<string,BuildType>();

        [DataMember]
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        [DataMember]
        public Dictionary<string, BuildType> BuildTypes
        {
            get { return _buildTypes; }
            set { _buildTypes = value; }
        }
	
        public TeamProject(string name)
        {
            this._name = name;
        }
    }
}
