using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace Callista.BuildLab.Core.Model
{
    [DataContract]
    public class BuildParameter
    {
        private string _paramName;
        private string _paramValue;

        [DataMember]
        public string Name
        {
            get { return _paramName; }
            set { _paramName = value; }
        }

        [DataMember]
        public string Value
        {
            get { return _paramValue; }
            set { _paramValue = value; }
        }

        public BuildParameter(string parameterName, string parameterValue)
        {
            this.Name = parameterName;
            this.Value = parameterValue;
        }
    }
}
