using System;
using System.IO;
using System.Text;
using System.Diagnostics;
using System.Xml;
using System.Xml.Serialization;
using System.Configuration;
using System.Collections.Generic;
using Callista.BuildLab.Core.Model;

namespace Callista.BuildLab.Core
{
    public class Common
    {
        public static T Deserialize<T>(string message)
        {
            XmlSerializer xs = new XmlSerializer(typeof(T));
            StringReader sr = new StringReader(message);
            XmlTextReader xr = new XmlTextReader(sr);
            return (T)xs.Deserialize(xr);
        }
    }
}
