using System;
using System.Collections.Generic;

namespace Callista.BuildLab.Policies.RestrictedPaths
{
    [Serializable]
    public class CheckinRestriction
    {
        private string _path;
        private string _name;
        private string _comment;
        private bool _breakOnFirstViolation;

        public CheckinRestriction(string path, string name, string comment, bool breakOnFirst)
        {
            _path = path;
            _name = name;
            _comment = comment;
            _breakOnFirstViolation = breakOnFirst;
        }

        public string Path
        {
            get { return _path; }
            set { _path = value; }
        }

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public string Comment
        {
            get { return _comment; }
            set { _comment = value; }
        }

        public bool BreakOnFirstViolation
        {
            get { return _breakOnFirstViolation; }
            set { _breakOnFirstViolation = value; }
        }
    }
}
