﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Text;
using System.Collections.Generic;
using Microsoft.TeamFoundation.Client;
using Callista.BuildLab.Core;
using Callista.BuildLab.Core.Model;

namespace Callista.BuildLab.UnitTests
{
    [TestClass()]
    public class BuildServiceTest
    {
        private TestContext testContextInstance;

        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion

        [TestMethod()]
        public void DeleteBuildTest()
        {
            TeamFoundationServer tfs = null; // TODO: Initialize to an appropriate value

            BuildService target = new BuildService(tfs);

            string buildUri = null; // TODO: Initialize to an appropriate value

            string failureMessage;
            string failureMessage_expected = null; // TODO: Initialize to an appropriate value

            bool expected = false;
            bool actual;

            actual = target.DeleteBuild(buildUri, out failureMessage);

            Assert.AreEqual(failureMessage_expected, failureMessage, "failureMessage_DeleteBuild_expected was not set correctly.");
            Assert.AreEqual(expected, actual, "Callista.BuildLab.Core.Model.BuildService.DeleteBuild did not return the expe" +
                    "cted value.");
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        [TestMethod()]
        public void ListBuildsTest()
        {
            TeamFoundationServer tfs = null; // TODO: Initialize to an appropriate value

            BuildService target = new BuildService(tfs);

            string teamProject = null; // TODO: Initialize to an appropriate value

            System.Collections.Generic.List<Callista.BuildLab.Core.Model.TeamBuild> expected = null;
            System.Collections.Generic.List<Callista.BuildLab.Core.Model.TeamBuild> actual;

            actual = target.ListBuilds(teamProject);

            Assert.AreEqual(expected, actual, "Callista.BuildLab.Core.Model.BuildService.ListBuilds did not return the expec" +
                    "ted value.");
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        [TestMethod()]
        public void ListBuildsTest1()
        {
            TeamFoundationServer tfs = null; // TODO: Initialize to an appropriate value

            BuildService target = new BuildService(tfs);

            string teamProject = null; // TODO: Initialize to an appropriate value

            string buildType = null; // TODO: Initialize to an appropriate value

            System.Collections.Generic.List<Callista.BuildLab.Core.Model.TeamBuild> expected = null;
            System.Collections.Generic.List<Callista.BuildLab.Core.Model.TeamBuild> actual;

            actual = target.ListBuilds(teamProject, buildType);

            Assert.AreEqual(expected, actual, "Callista.BuildLab.Core.Model.BuildService.ListBuilds did not return the expec" +
                    "ted value.");
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        [TestMethod()]
        public void ListBuildTypesTest()
        {
            TeamFoundationServer tfs = null; // TODO: Initialize to an appropriate value

            BuildService target = new BuildService(tfs);

            string teamProject = null; // TODO: Initialize to an appropriate value

            System.Collections.Generic.List<string> expected = null;
            System.Collections.Generic.List<BuildType> actual;

            actual = target.ListBuildTypes(teamProject);

            Assert.AreEqual(expected, actual, "Callista.BuildLab.Core.Model.BuildService.ListBuildTypes did not return the e" +
                    "xpected value.");
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        [TestMethod()]
        public void StartBuildTest()
        {
            TeamFoundationServer tfs = null; // TODO: Initialize to an appropriate value

            BuildService target = new BuildService(tfs);

            string teamProject = null; // TODO: Initialize to an appropriate value

            string buildType = null; // TODO: Initialize to an appropriate value

            string buildDirectory = null; // TODO: Initialize to an appropriate value

            string buildMachine = null; // TODO: Initialize to an appropriate value

            string expected = null;
            string actual;

            actual = target.StartBuild(teamProject, buildType, buildDirectory, buildMachine);

            Assert.AreEqual(expected, actual, "Callista.BuildLab.Core.Model.BuildService.StartBuild did not return the expec" +
                    "ted value.");
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        [TestMethod()]
        public void StopBuildTest()
        {
            TeamFoundationServer tfs = null; // TODO: Initialize to an appropriate value

            BuildService target = new BuildService(tfs);

            string buildUri = null; // TODO: Initialize to an appropriate value

            string result;
            string result_expected = null; // TODO: Initialize to an appropriate value

            bool expected = false;
            bool actual;

            actual = target.StopBuild(buildUri, out result);

            Assert.AreEqual(result_expected, result, "result_StopBuild_expected was not set correctly.");
            Assert.AreEqual(expected, actual, "Callista.BuildLab.Core.Model.BuildService.StopBuild did not return the expect" +
                    "ed value.");
            Assert.Inconclusive("Verify the correctness of this test method.");
        }
    }
}
